import {
	commonApiFun
} from '@/common/api/common.js';
import {
	settledApiFun
} from '@/common/api/settled.js';
import {learnApiFun} from "@/common/api/learn.js";
import { orderApiFun } from "@/common/api/order.js";
import {assessmentApiFun} from"@/common/api/assessment.js"
import {certApiFun} from"@/common/api/cert.js"
import {partsApiFun} from"@/common/api/parts.js"
let apiFun = function(vm) {
	let commonApi = commonApiFun(vm);
	let settledApi = settledApiFun(vm)
	let learnApi=learnApiFun(vm)
	let assessmentApi = assessmentApiFun(vm)
	let orderApi=orderApiFun(vm)
	let certApi=certApiFun(vm)
	let partsApi=partsApiFun(vm)
	let apiUrl = {
		...commonApi,
		...settledApi,
		...learnApi,
		...orderApi,
		...assessmentApi,
		...certApi,
		...partsApi,
	}
	return apiUrl
}

module.exports = {
	apiFun
}
